# CppBinary

interface CppBinary

Represents a C++ binary.

#### Since

4.10

#### Inheritors

CppSharedLibrary
CppExecutable
CppStaticLibrary

## Functions

getBaseName
Link copied to clipboard
abstract fun getBaseName(): String
Returns the base name of this binary.
getCompilationDetails
Link copied to clipboard
abstract fun getCompilationDetails(): CompilationDetails
Returns the compilation details.
getLinkageDetails
Link copied to clipboard
abstract fun getLinkageDetails(): LinkageDetails
Returns the linkage details.
getName
Link copied to clipboard
abstract fun getName(): String
Returns the name of this binary.
getVariantName
Link copied to clipboard
abstract fun getVariantName(): String
Returns the variant name of this binary.